Page MenuHomePhabricator

Release 5.7.1 (1259)
Closed, ResolvedPublic

Description

Release version: 5.7.1 (1253)
Release tag: releases/5.7.1
Release SHA1: 755560996f9d664f7e490391af1fed817b5736ff
App Store Submission Date: 11/6/2017
App Store Approval Date: 11/7/2017
App Store Release Date: 11/7/2017
Regression Testing URL: See subtask.


  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Add notice tags
  • Submit Beta on iTunes Connect for external testing review
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC to External testers
  • Distribute RC to TSG
  • Post to mobile-l when Beta is approved for external testing
  • Update "What’s New" on iTunes Connect
  • Review App Store description, and determine if we need to update
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Review Regression testing report, triage bugs, and identify any blockers
  • Verify Crash report received in HockeyApp
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
  • Point current status at this card
  • Update version number in feedback email link
  • Update HockeyApp console to mark build as released once released
  • Post on mobile-l

Event Timeline

JMinor created this task.Nov 1 2017, 6:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 1 2017, 6:05 PM
JMinor triaged this task as Medium priority.Nov 1 2017, 6:05 PM
JMinor renamed this task from Release 5.7.1 (1253) to Release 5.7.1 (1259).Nov 7 2017, 11:03 PM
JMinor updated the task description. (Show Details)
JMinor closed this task as Resolved.Nov 7 2017, 11:05 PM